<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
  <!-- Popper Development version -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Import DataTable Library -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body onload="onPageLoading()"></body>
<script>
    function onPageLoading() {
        let Arr = [10, 20, 30, 40, 50];
        let Arr1 = [10, 20, 30, 40, 50];

        let x = 0;
        let y = 2;
        let x1 = 1;
        
        const fromIndex = Arr.indexOf(Arr[x]);
        const element = Arr.splice(fromIndex, 1)[0];
        Arr.splice(y, 0, element);
        console.log(Arr);
    
        const fromIndex1 = Arr1.indexOf(Arr1[x1]);
        const element2 = Arr1.splice(fromIndex1, 1)[0];
        Arr1.splice(y, 0, element2);
        console.log(Arr1);
    }
</script>
</html>